# ``twisted`.`conch`.`checkers`.`UNIXAuthorizedKeysFiles``

class documentation

`class UNIXAuthorizedKeysFiles: (source)`

Implements interfaces: `twisted.conch.checkers.IAuthorizedKeysDB`

View In Hierarchy

Object that provides SSH public keys based on public keys listed in authorized_keys and authorized_keys2 files in UNIX user .ssh/ directories. If any of the files cannot be read, a message is logged but that file is otherwise ignored.

Present Since
15.0

Method | `__init__` | Initializes a new `UNIXAuthorizedKeysFiles`.
Method | `getAuthorizedKeys` | Gets an iterable of authorized keys that are valid for the given `avatarId`.
Instance Variable | `_parseKey` | Undocumented
Instance Variable | `_userdb` | Undocumented

def __init__(self, userdb=None, parseKey=keys.Key.fromString): (source)
Initializes a new `UNIXAuthorizedKeysFiles`.

Parameters
userdb:`pwd`-like object | access to the Unix user account and password database (default is the Python module `pwd`)
parseKey:`callable` | a callable that takes a string and returns a `twisted.conch.ssh.keys.Key`, mainly to be used for testing. The default is `twisted.conch.ssh.keys.Key.fromString`.

def getAuthorizedKeys(self, username): (source)
from `twisted.conch.checkers.IAuthorizedKeysDB`
Gets an iterable of authorized keys that are valid for the given `avatarId`.

Parameters
username | Undocumented
avatarId:valid return value of `twisted.cred.checkers.ICredentialsChecker.requestAvatarId` | the ID of the avatar
Returns
an iterable of `twisted.conch.ssh.keys.Key`

_parseKey = (source)

Undocumented

_userdb = (source)

Undocumented